PROGRAM Rulenka;
uses crt,graphABC,Events,Sounds;
type
 baza=record
 login:string;
 password:string;
 money:real;
 end;
procedure cifr(x,y,mb: integer);
var i,j,i1,x1,x2,y1,y2,K,i2,chislo,money,n,shechik,shechik2,shechik3,shechik4,j1,l,p,perek,nm,igrokochki,kompochki,mast,nomer,karta,s1,s2,s3,money4,money5,s,music,schmusic,posls:integer;
    money1,money2,money3,kk: real;
    stavka:array[1..13,1..38] of real;
    c:array[1..10] of integer;
    M,prof,sys:text;
    fon,fon2,fishka,login:string;
    B:array[1..200] of baza;




procedure zapis;
begin
if money2>5 then
begin
reset(prof);
   i1:=0;
   repeat
   i1:=i1+1;
   readln(prof,B[i1].login);
   readln(prof,B[i1].password);
   readln(prof,B[i1].money);
   if login=B[i1].login then B[i1].money:=money2;

   until eof(prof);
   close(prof);
   rewrite(prof);
   for i2:=1 to i1 do
   begin
    writeln(prof,B[i2].login);
   writeln(prof,B[i2].password);
   writeln(prof,B[i2].money);
   end;
   close(prof);
   end;
end;

function finish2 :real;
begin

s3:=LoadPicture('Изображения\рулетка\конец.jpg');
DrawPicture(s3,200,250);
finish2:=5000;
posls:=1;
end;

function finish1:real;
begin
s3:=LoadPicture('Изображения\блэкджек\PBnewstol.jpg');
DrawPicture(s3,200,250);
finish1:=5000;
end;

procedure karta_komp(x2,y2:integer);
begin
 mast:=random(3)+1;
  nomer:=random(12)+1;
  case mast of
  1: begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\буби\туз.jpg'); kompochki:=kompochki+11; end;
     2: begin karta:=LoadPicture('Изображения\буби\2.jpg'); kompochki:=kompochki+2; end;
     3: begin karta:=LoadPicture('Изображения\буби\3.jpg'); kompochki:=kompochki+3; end;
     4: begin karta:=LoadPicture('Изображения\буби\4.jpg'); kompochki:=kompochki+4; end;
     5: begin karta:=LoadPicture('Изображения\буби\5.jpg'); kompochki:=kompochki+5; end;
     6: begin karta:=LoadPicture('Изображения\буби\6.jpg'); kompochki:=kompochki+6; end;
     7: begin karta:=LoadPicture('Изображения\буби\7.jpg'); kompochki:=kompochki+7; end;
     8: begin karta:=LoadPicture('Изображения\буби\8.jpg'); kompochki:=kompochki+8; end;
     9: begin karta:=LoadPicture('Изображения\буби\9.jpg'); kompochki:=kompochki+9; end;
     10: begin karta:=LoadPicture('Изображения\буби\10.jpg'); kompochki:=kompochki+10; end;
     11: begin karta:=LoadPicture('Изображения\буби\валет.jpg'); kompochki:=kompochki+10; end;
     12: begin karta:=LoadPicture('Изображения\буби\дама.jpg'); kompochki:=kompochki+10; end;
     13: begin karta:=LoadPicture('Изображения\буби\король.jpg');  kompochki:=kompochki+10; end;
     end;
     end;
   2: begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\крести\туз.jpg'); kompochki:=kompochki+11; end;
     2: begin karta:=LoadPicture('Изображения\крести\2.jpg'); kompochki:=kompochki+2; end;
     3: begin karta:=LoadPicture('Изображения\крести\3.jpg'); kompochki:=kompochki+3; end;
     4: begin karta:=LoadPicture('Изображения\крести\4.jpg'); kompochki:=kompochki+4; end;
     5: begin karta:=LoadPicture('Изображения\крести\5.jpg'); kompochki:=kompochki+5; end;
     6: begin karta:=LoadPicture('Изображения\крести\6.jpg'); kompochki:=kompochki+6; end;
     7: begin karta:=LoadPicture('Изображения\крести\7.jpg'); kompochki:=kompochki+7; end;
     8: begin karta:=LoadPicture('Изображения\крести\8.jpg'); kompochki:=kompochki+8; end;
     9: begin karta:=LoadPicture('Изображения\крести\9.jpg'); kompochki:=kompochki+9; end;
     10: begin karta:=LoadPicture('Изображения\крести\10.jpg'); kompochki:=kompochki+10; end;
     11: begin karta:=LoadPicture('Изображения\крести\валет.jpg'); kompochki:=kompochki+10; end;
     12: begin karta:=LoadPicture('Изображения\крести\дама.jpg'); kompochki:=kompochki+10; end;
     13: begin karta:=LoadPicture('Изображения\крести\король.jpg'); kompochki:=kompochki+10; end;
     end;
     end;
   3:begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\пики\туз.jpg'); kompochki:=kompochki+11; end;
     2: begin karta:=LoadPicture('Изображения\пики\2.jpg'); kompochki:=kompochki+2; end;
     3: begin karta:=LoadPicture('Изображения\пики\3.jpg'); kompochki:=kompochki+3; end;
     4: begin karta:=LoadPicture('Изображения\пики\4.jpg'); kompochki:=kompochki+4; end;
     5: begin karta:=LoadPicture('Изображения\пики\5.jpg'); kompochki:=kompochki+5; end;
     6: begin karta:=LoadPicture('Изображения\пики\6.jpg'); kompochki:=kompochki+6; end;
     7: begin karta:=LoadPicture('Изображения\пики\7.jpg'); kompochki:=kompochki+7; end;
     8: begin karta:=LoadPicture('Изображения\пики\8.jpg'); kompochki:=kompochki+8; end;
     9: begin karta:=LoadPicture('Изображения\пики\9.jpg'); kompochki:=kompochki+9; end;
     10: begin karta:=LoadPicture('Изображения\пики\10.jpg'); kompochki:=kompochki+10; end;
     11: begin karta:=LoadPicture('Изображения\пики\валет.jpg'); kompochki:=kompochki+10; end;
     12: begin karta:=LoadPicture('Изображения\пики\дама.jpg'); kompochki:=kompochki+10; end;
     13: begin karta:=LoadPicture('Изображения\пики\король.jpg'); kompochki:=kompochki+10; end;
     end;
     end;
   4:begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\черви\туз.jpg'); kompochki:=kompochki+11; end;
     2: begin karta:=LoadPicture('Изображения\черви\2.jpg'); kompochki:=kompochki+2; end;
     3: begin karta:=LoadPicture('Изображения\черви\3.jpg'); kompochki:=kompochki+3; end;
     4: begin karta:=LoadPicture('Изображения\черви\4.jpg'); kompochki:=kompochki+4; end;
     5: begin karta:=LoadPicture('Изображения\черви\5.jpg'); kompochki:=kompochki+5; end;
     6: begin karta:=LoadPicture('Изображения\черви\6.jpg'); kompochki:=kompochki+6; end;
     7: begin karta:=LoadPicture('Изображения\черви\7.jpg'); kompochki:=kompochki+7; end;
     8: begin karta:=LoadPicture('Изображения\черви\8.jpg'); kompochki:=kompochki+8; end;
     9: begin karta:=LoadPicture('Изображения\черви\9.jpg'); kompochki:=kompochki+9; end;
     10: begin karta:=LoadPicture('Изображения\черви\10.jpg'); kompochki:=kompochki+10; end;
     11: begin karta:=LoadPicture('Изображения\черви\валет.jpg'); kompochki:=kompochki+10; end;
     12: begin karta:=LoadPicture('Изображения\черви\дама.jpg'); kompochki:=kompochki+10; end;
     13: begin karta:=LoadPicture('Изображения\черви\король.jpg'); kompochki:=kompochki+10; end;
     end;
     end;
     end;
   DrawPicture(karta,x1,y1);

end;



procedure karta_igrok(x2,y2:integer);
begin
mast:=random(3)+1;
  nomer:=random(12)+1;
  case mast of
  1: begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\буби\туз.jpg'); igrokochki:=igrokochki+11; end;
     2: begin karta:=LoadPicture('Изображения\буби\2.jpg'); igrokochki:=igrokochki+2; end;
     3: begin karta:=LoadPicture('Изображения\буби\3.jpg'); igrokochki:=igrokochki+3; end;
     4: begin karta:=LoadPicture('Изображения\буби\4.jpg'); igrokochki:=igrokochki+4; end;
     5: begin karta:=LoadPicture('Изображения\буби\5.jpg'); igrokochki:=igrokochki+5; end;
     6: begin karta:=LoadPicture('Изображения\буби\6.jpg'); igrokochki:=igrokochki+6; end;
     7: begin karta:=LoadPicture('Изображения\буби\7.jpg'); igrokochki:=igrokochki+7; end;
     8: begin karta:=LoadPicture('Изображения\буби\8.jpg'); igrokochki:=igrokochki+8; end;
     9: begin karta:=LoadPicture('Изображения\буби\9.jpg'); igrokochki:=igrokochki+9; end;
     10: begin karta:=LoadPicture('Изображения\буби\10.jpg'); igrokochki:=igrokochki+10; end;
     11: begin karta:=LoadPicture('Изображения\буби\валет.jpg'); igrokochki:=igrokochki+10; end;
     12: begin karta:=LoadPicture('Изображения\буби\дама.jpg'); igrokochki:=igrokochki+10; end;
     13: begin karta:=LoadPicture('Изображения\буби\король.jpg');  igrokochki:=igrokochki+10; end;
     end;
     end;
   2: begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\крести\туз.jpg'); igrokochki:=igrokochki+11; end;
     2: begin karta:=LoadPicture('Изображения\крести\2.jpg'); igrokochki:=igrokochki+2; end;
     3: begin karta:=LoadPicture('Изображения\крести\3.jpg'); igrokochki:=igrokochki+3; end;
     4: begin karta:=LoadPicture('Изображения\крести\4.jpg'); igrokochki:=igrokochki+4; end;
     5: begin karta:=LoadPicture('Изображения\крести\5.jpg'); igrokochki:=igrokochki+5; end;
     6: begin karta:=LoadPicture('Изображения\крести\6.jpg'); igrokochki:=igrokochki+6; end;
     7: begin karta:=LoadPicture('Изображения\крести\7.jpg'); igrokochki:=igrokochki+7; end;
     8: begin karta:=LoadPicture('Изображения\крести\8.jpg'); igrokochki:=igrokochki+8; end;
     9: begin karta:=LoadPicture('Изображения\крести\9.jpg'); igrokochki:=igrokochki+9; end;
     10: begin karta:=LoadPicture('Изображения\крести\10.jpg'); igrokochki:=igrokochki+10; end;
     11: begin karta:=LoadPicture('Изображения\крести\валет.jpg'); igrokochki:=igrokochki+10; end;
     12: begin karta:=LoadPicture('Изображения\крести\дама.jpg'); igrokochki:=igrokochki+10; end;
     13: begin karta:=LoadPicture('Изображения\крести\король.jpg'); igrokochki:=igrokochki+10; end;
     end;
     end;
   3:begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\пики\туз.jpg'); igrokochki:=igrokochki+11; end;
     2: begin karta:=LoadPicture('Изображения\пики\2.jpg'); igrokochki:=igrokochki+2; end;
     3: begin karta:=LoadPicture('Изображения\пики\3.jpg'); igrokochki:=igrokochki+3; end;
     4: begin karta:=LoadPicture('Изображения\пики\4.jpg'); igrokochki:=igrokochki+4; end;
     5: begin karta:=LoadPicture('Изображения\пики\5.jpg'); igrokochki:=igrokochki+5; end;
     6: begin karta:=LoadPicture('Изображения\пики\6.jpg'); igrokochki:=igrokochki+6; end;
     7: begin karta:=LoadPicture('Изображения\пики\7.jpg'); igrokochki:=igrokochki+7; end;
     8: begin karta:=LoadPicture('Изображения\пики\8.jpg'); igrokochki:=igrokochki+8; end;
     9: begin karta:=LoadPicture('Изображения\пики\9.jpg'); igrokochki:=igrokochki+9; end;
     10: begin karta:=LoadPicture('Изображения\пики\10.jpg'); igrokochki:=igrokochki+10; end;
     11: begin karta:=LoadPicture('Изображения\пики\валет.jpg'); igrokochki:=igrokochki+10; end;
     12: begin karta:=LoadPicture('Изображения\пики\дама.jpg'); igrokochki:=igrokochki+10; end;
     13: begin karta:=LoadPicture('Изображения\пики\король.jpg'); igrokochki:=igrokochki+10; end;
     end;
     end;
   4:begin
     case nomer of
     1: begin karta:=LoadPicture('Изображения\черви\туз.jpg'); igrokochki:=igrokochki+11; end;
     2: begin karta:=LoadPicture('Изображения\черви\2.jpg'); igrokochki:=igrokochki+2; end;
     3: begin karta:=LoadPicture('Изображения\черви\3.jpg'); igrokochki:=igrokochki+3; end;
     4: begin karta:=LoadPicture('Изображения\черви\4.jpg'); igrokochki:=igrokochki+4; end;
     5: begin karta:=LoadPicture('Изображения\черви\5.jpg'); igrokochki:=igrokochki+5; end;
     6: begin karta:=LoadPicture('Изображения\черви\6.jpg'); igrokochki:=igrokochki+6; end;
     7: begin karta:=LoadPicture('Изображения\черви\7.jpg'); igrokochki:=igrokochki+7; end;
     8: begin karta:=LoadPicture('Изображения\черви\8.jpg'); igrokochki:=igrokochki+8; end;
     9: begin karta:=LoadPicture('Изображения\черви\9.jpg'); igrokochki:=igrokochki+9; end;
     10: begin karta:=LoadPicture('Изображения\черви\10.jpg'); igrokochki:=igrokochki+10; end;
     11: begin karta:=LoadPicture('Изображения\черви\валет.jpg'); igrokochki:=igrokochki+10; end;
     12: begin karta:=LoadPicture('Изображения\черви\дама.jpg'); igrokochki:=igrokochki+10; end;
     13: begin karta:=LoadPicture('Изображения\черви\король.jpg'); igrokochki:=igrokochki+10; end;
     end;
     end;

   end;
   DrawPicture(karta,x2,y2);
    end;

procedure write_Bm(money:integer;money2:real);
begin
n:=LoadPicture('Изображения\блэкджек\заставка.jpg');
DrawPicture(n,642,421);
Str(money2,fishka);
textout(660,500,fishka);
Str(money,fishka);
textout(740,450,fishka);
end;


procedure write_igrokochki(igrokochki:integer);
begin
if igrokochki<10 then
   begin
     case igrokochki of
     1: begin n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,140,370); end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,140,370); end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,140,370); end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,140,370); end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,140,370); end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,140,370); end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,140,370); end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg'); DrawPicture(n,140,370); end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,140,370); end;
     end;
     end;
       if igrokochki>9 then
      begin
     case igrokochki mod 10 of
     0: begin  n:=LoadPicture('Изображения\цифры\0g.jpg'); DrawPicture(n,140,370); end;
     1: begin  n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,140,370); end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,140,370) end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,140,370) end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,140,370) end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,140,370) end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,140,370) end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,140,370) end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg'); DrawPicture(n,140,370) end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,140,370) end;
      end;
      case igrokochki div 10 of
     1: begin  n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,110,370) end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,110,370) end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,110,370) end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,110,370) end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,110,370) end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,110,370) end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,110,370) end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg');DrawPicture(n,110,370) end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,110,370) end;
      end;
     end;
end;


procedure write_kompochki(kompochki:integer);
begin
if kompochki<10 then
   begin
     case kompochki of
     1: begin n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,250,100); end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,140,100); end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,140,100); end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,140,100); end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,140,100); end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,140,100); end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,140,100); end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg'); DrawPicture(n,140,100); end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,140,100); end;
     end;
     end;
       if kompochki>9 then
      begin
     case kompochki mod 10 of
     0: begin  n:=LoadPicture('Изображения\цифры\0g.jpg'); DrawPicture(n,140,100); end;
     1: begin  n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,140,100); end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,140,100) end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,140,100) end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,140,100) end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,140,100) end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,140,100) end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,140,100) end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg'); DrawPicture(n,140,100) end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,140,100) end;
      end;
      case kompochki div 10 of
      0: begin  n:=LoadPicture('Изображения\цифры\0g.jpg'); DrawPicture(n,110,100); end;
     1: begin  n:=LoadPicture('Изображения\цифры\1g.jpg'); DrawPicture(n,110,100) end;
     2: begin n:=LoadPicture('Изображения\цифры\2g.jpg'); DrawPicture(n,110,100) end;
     3: begin n:=LoadPicture('Изображения\цифры\3g.jpg'); DrawPicture(n,110,100)end;
     4: begin n:=LoadPicture('Изображения\цифры\4g.jpg'); DrawPicture(n,110,100) end;
     5: begin n:=LoadPicture('Изображения\цифры\5g.jpg'); DrawPicture(n,110,100) end;
     6: begin n:=LoadPicture('Изображения\цифры\6g.jpg'); DrawPicture(n,110,100) end;
     7: begin n:=LoadPicture('Изображения\цифры\7g.jpg'); DrawPicture(n,110,100) end;
     8: begin n:=LoadPicture('Изображения\цифры\8g.jpg');DrawPicture(n,110,100) end;
     9: begin n:=LoadPicture('Изображения\цифры\9g.jpg'); DrawPicture(n,110,100) end;
      end;
     end;
end;
procedure write_m(money2,money3:real;login:string);
begin

n:=LoadPicture('Изображения\рулетка\центр.jpg');

DrawPicture(n,0,0);
gotoxy(16,7);
write(login);
gotoxy(16,10);
write(money2);
gotoxy(16,13);
write(money3-money2);
end;

 begin
  if mb=1 then
  begin
 if shechik<>1 then
  begin
   Assign(sys,'файлы\system.txt');
   Assign(prof,'файлы\profile.txt');
   reset(sys);
   readln(sys,perek);
   read(sys,k);
   close(sys);
   reset(prof);
   for I:=1 to k+1 do
   readln(prof);
   read(prof,money2);
   close(prof);
   reset(prof);
   for I:=1 to k-1 do
   readln(prof);
   read(prof,login);
   close(prof);
   shechik:=1;


  end;

if schmusic<>1 then
  begin
  music:=LoadSound('музыка\sound1.wav');
 PlaySound(music);
 schmusic:=1;

 end;


if perek=0 then
begin
 for i:=250 to 430 do
 begin
  if y=i then
  for j:=450 to 760 do
  if x=j then
  begin

 rewrite(sys);
 writeln(sys,'3');
 writeln(sys,k);
 close(sys);
 perek:=3;
end;
end;

//выход
for i:=530 to 570 do
 begin
  if y=i then
  for j:=680 to 790 do
  if x=j then
  begin
DestroySound(music);
  Halt;
  CloseWindow;
end;
end;

 for i:=250 to 430 do
 begin
  if y=i then
  for j:=80 to 370 do
  if x=j then
  begin

 rewrite(sys);
 writeln(sys,'4');
 writeln(sys,k);
 close(sys);

 perek:=4;
 end;
 end;
 end;


 if perek=4 then
begin

if shechik4<>1 then
begin
fon:='Изображения\Блэкджек\B1.jpg';
loadwindow(fon);
CenterWindow;
shechik4:=1;
s:=0;

end;

for i:=250 to 290 do
begin
if y=i then
for j:=420 to 580 do
if x=j then
begin
rewrite(sys);
writeln(sys,'1');
writeln(sys,k);
close(sys);
perek:=1;
end;
end;
 
for i:=380 to 410 do
begin
if y=i then
for j:=350 to 470 do
if x=j then
begin
fon:='Изображения\Блэкджек\B2.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;
end;
end;

for i:=420 to 455 do
begin
if y=i then
for j:=310 to 500 do
if x=j then
begin
if s=4 then
begin
rewrite(sys);
writeln(sys,'1');
writeln(sys,k);
close(sys);
perek:=1;
end;
end;
end;
 
for i:=470 to 500 do
begin
if y=i then
for j:=350 to 470 do
if x=j then
begin
if s=3 then
begin
fon:='Изображения\Блэкджек\B5.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

end;
end;
end;

 for i:=460 to 490 do
   begin
    if y=i then
    for j:=350 to 470 do
    if x=j then
    begin
    if s=2 then
    begin
    fon:='Изображения\Блэкджек\B4.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

 end;
 end;
 end;
 
for i:=440 to 470 do
begin
if y=i then
for j:=350 to 470 do
if x=j then
begin
if s=1 then
begin
fon:='Изображения\Блэкджек\B3.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

end;
end;
end;
 




end;                                                                       //////////////////////////////////////////////////////////////////////////////////////




 if perek=1 then begin
if shechik2<>1 then
   begin
  fon2:='Изображения\Блэкджек\newstol.jpg';
 loadwindow(fon2);
 CenterWindow;
igrokochki:=0;
kompochki:=0;
shechik2:=1;
money3:=money2;
money:=0;
s1:=1;
p:=0;
write_Bm(money,money2);
{rectangle(135,0,260,40);
rectangle(270,0,390,40);
rectangle(400,0,525,40);
rectangle(535,0,650,40);}
  end;
   //музыка
for i:=0 to 40 do
 begin
  if y=i then
  for j:=400 to 525 do
  if x=j then
  begin
  if SoundIsPlaying(music) then StopSound(music) else PlaySound(music);

end;
end;
  
  
    // меню
      for i:=0 to 40 do
 begin
  if y=i then
  for j:=135 to 259 do
  if x=j then
  begin
  fon:='Изображения\меню\меню.jpg';
 loadwindow(fon);
 CenterWindow;
 perek:=0;
  rewrite(sys);
 writeln(sys,'0');
 writeln(sys,k);
 close(sys);
 shechik:=0;
 shechik2:=0;
 shechik3:=0;
 shechik4:=0;
end; end;

//выход
for i:=0 to 40 do
 begin
  if y=i then
  for j:=535 to 650 do
  if x=j then
  begin
  DestroySound(music);
  Halt;
  CloseWindow;

end; end;
//справка
for i:=0 to 40 do
 begin
  if y=i then
  for j:=270 to 390 do
  if x=j then
  begin
   fon:='Изображения\Блэкджек\B1.jpg';
loadwindow(fon);
CenterWindow;

s:=0;
  rewrite(sys);
 writeln(sys,'4');
 writeln(sys,k);
 close(sys);
 perek:=4;
 shechik:=0;
 shechik2:=0;
 shechik3:=0;
 shechik4:=0;
end; end;

   //100
  if (s1=1) or (s1=2) then begin
x1:=260;
y1:=270;
for i:=420 to 463 do
   begin
    if y=i then
    for j:=20 to 58 do
    if x=j then
    begin

    if money=0 then begin fon2:='Изображения\Блэкджек\newstold.jpg'; loadwindow(fon2);end;
    money:=money+100;
    money2:=money2-100;
    if (money2<0) or (5000<money) then begin money2:=money2+100; money:=money-100; end else
    begin
     n:=LoadPicture('Изображения\фишки\G100.jpg');
    p:=p+1;
    DrawPicture(n,x1+(p*30),y1);
    end;
    write_Bm(money,money2); write_igrokochki(igrokochki);
     s1:=2;
    end;
    end;
  end;

  //ставка 500
if (s1=1) or (s1=2) then begin
x1:=260;
y1:=270;
for i:=460 to 500 do
   begin
    if y=i then
    for j:=60 to 95 do
    if x=j then
    begin

    if money=0 then begin fon2:='Изображения\Блэкджек\newstold.jpg'; loadwindow(fon2);end;
    money:=money+500;
    money2:=money2-500;
    if (money2<0) or (5000<money) then begin money2:=money2+500; money:=money-500; end else
    begin

    n:=LoadPicture('Изображения\фишки\G500.jpg');
    p:=p+1;
    DrawPicture(n,x1+(p*30),y1);
    end;
    write_Bm(money,money2); write_igrokochki(igrokochki);
    s1:=2;
    end;
    end;
  end;

  //ставка 1000
if (s1=1) or (s1=2) then begin
x1:=260;
y1:=270;
for i:=490 to 535 do
   begin
    if y=i then
    for j:=105 to 150 do
    if x=j then
    begin

    if money=0 then begin fon2:='Изображения\Блэкджек\newstold.jpg'; loadwindow(fon2);end;
    money:=money+1000;
    money2:=money2-1000;
    if (money2<0) or (5000<money) then begin money2:=money2+1000; money:=money-1000; end else
    begin
    n:=LoadPicture('Изображения\фишки\G1000.jpg');
    p:=p+1;
    DrawPicture(n,x1+(p*30),y1);
    end;
    s1:=2;
    write_Bm(money,money2); write_igrokochki(igrokochki);
    end;
    end;
  end;
{  rectangle(170,550,305,600); }
  //deal
if s1=2 then begin

  x2:=290;
  y2:=370;
  for i:=550 to 600 do
 begin
  if y=i then
  for j:=170 to 305 do
  if x=j then
  begin
  fon2:='Изображения\Блэкджек\newstolh.jpg'; loadwindow(fon2);
 // карты игрока
 for I1:=1 to 2 do
 begin
  karta_igrok(x2,y2);
   x2:=x2+20;
   write_Bm(money,money2); write_igrokochki(igrokochki);
  end;
  if igrokochki>21 then igrokochki:=21;
  x1:=290;
  y1:=60;
  //карты дилера
  for i:=550 to 600 do
 begin
  if y=i then
  for j:=170 to 305 do
  if x=j then
  begin
karta_komp(290,40);

   write_kompochki(kompochki);
s1:=3;
  end;
  end;
  end;
  end;
  end;

 {rectangle(330,550,465,600); }
  // hit
 if (s1=3) and (igrokochki<21) then
  begin
  for i:=550 to 600 do
 begin
  if y=i then
  for j:=330 to 465 do
  if x=j then
  begin
   karta_igrok(x2,y2);
   x2:=x2+20;
   write_Bm(money,money2); write_igrokochki(igrokochki);

 if igrokochki>21 then
 begin
s3:=LoadPicture('Изображения\Блэкджек\Pnewstol.jpg');
DrawPicture(s3,250,250);


money:=0;
s1:=1;
igrokochki:=0;
kompochki:=0;
p:=0;
if (money2=0) and (money=0) then money2:=finish1;
 end;
  end;
  end;
  end;


zapis;
  //stand
x1:=310;
  y1:=60;
 if s1=3 then
 begin
  for i:=550 to 600 do
 begin
  if y=i then
  for j:=500 to 630 do
  if x=j then
  begin
  While kompochki<17 do
  begin
 karta_komp(x1,y1);
 s1:=2;
   x1:=x1+20;
   write_kompochki(kompochki);
s1:=4;
end;

if kompochki>21 then
 begin

Money2:=money2+money*2;
 write_Bm(money,money2); write_igrokochki(igrokochki);

 s3:=LoadPicture('Изображения\Блэкджек\vnewstol.jpg');
DrawPicture(s3,250,275);
 money:=0;
 s1:=1;
 igrokochki:=0;
 kompochki:=0;
  p:=0;
   if (money2=0) and (money=0) then money2:=finish1;
 end;

if (kompochki<igrokochki) and (kompochki<>igrokochki) and (kompochki<=21) then
 begin
if igrokochki=21 then  Money2:=money2+money*2.5 else Money2:=money2+money*2;
 write_Bm(money,money2); write_igrokochki(igrokochki);

 s3:=LoadPicture('Изображения\Блэкджек\vnewstol.jpg');
DrawPicture(s3,250,275);
 money:=0;
 s1:=1;
 igrokochki:=0;
 kompochki:=0;
  p:=0;
   if (money2=0) and (money=0) then money2:=finish1;
 end;
if (kompochki>igrokochki) and (kompochki<>igrokochki) and (kompochki<=21) then
 begin

 write_Bm(money,money2); write_igrokochki(igrokochki);
 s3:=LoadPicture('Изображения\Блэкджек\Pnewstol.jpg');
DrawPicture(s3,250,275);
 money:=0;
 s1:=1;
 igrokochki:=0;
 kompochki:=0;
  p:=0;
  if (money2=0) and (money=0) then money2:=finish1;
 end;

if (kompochki=igrokochki) and (kompochki<>0) then
BEGIN

Money2:=money2+money;
write_Bm(money,money2); write_igrokochki(igrokochki);
 s3:=LoadPicture('Изображения\Блэкджек\Nnewstol.jpg');

DrawPicture(s3,250,275);
 money:=0;
 s1:=1;
 igrokochki:=0;
 kompochki:=0;
 p:=0;
 if (money2=0) and (money=0) then money2:=finish1;
 END;

end;

end;
end;
zapis;


end;

if perek=3 then
begin
if shechik3<>1 then
begin
fon:='Изображения\рулетка\Р1.jpg';
loadwindow(fon);
CenterWindow;
shechik3:=1;
s:=0;

end;


   for i:=220 to 250 do
   begin
    if y=i then
    for j:=360 to 560 do
    if x=j then
    begin
    rewrite(sys);
 writeln(sys,'2');
 writeln(sys,k);
 close(sys);
 perek:=2;

 end;
 end;
 
 
 for i:=325 to 355 do
   begin
    if y=i then
    for j:=420 to 560 do
    if x=j then
    begin
    fon:='Изображения\рулетка\Р2.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;


 end;
 end;

 for i:=430 to 460 do
   begin
    if y=i then
    for j:=350 to 460 do
    if x=j then
    begin
    if s=1 then
    begin
    fon:='Изображения\рулетка\Р4.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

 end;
 end;
 end;
 
 for i:=515 to 550 do
   begin
    if y=i then
    for j:=335 to 470 do
    if x=j then
    begin
    if s=3 then
    begin
    fon:='Изображения\рулетка\Р6.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

 end;
 end;
 end;
 
 for i:=515 to 550 do
   begin
    if y=i then
    for j:=335 to 470 do
    if x=j then
    begin
    if s=2 then
    begin
    fon:='Изображения\рулетка\Р5.jpg';
loadwindow(fon);
CenterWindow;
s:=s+1;

 end;
 end;
 end;

 for i:=430 to 465 do
   begin
    if y=i then
    for j:=31 to 490 do
    if x=j then
    begin
    if s=4 then
    begin
    rewrite(sys);
 writeln(sys,'2');
 writeln(sys,k);
 close(sys);
 perek:=2;
 end;
 end;
 end;


end;








if perek=2 then begin
  if shechik2<>1 then
begin
fon:='Изображения\рулетка\новаярулетка1.jpg';
loadwindow(fon);
CenterWindow;
shechik2:=1;
money3:=money2;
MONEY:=0;
write_m(money2,money3,login);

end;//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////


x1:=575;
x2:=615;
y1:=255;
y2:=285;
  for i1:=1 to 4 do
  begin
   for i:=y1 to y2 do
   begin
    if y=i then
    for j:=x1 to x2 do
    if x=j then
    begin
     write_m(money2,money3,login);
     if posls=1 then
     begin
     fon:='Изображения\рулетка\новаярулетка1.jpg';
     loadwindow(fon);
     write_m(money2,money3,login);
     end;
    case i1 of
    1: begin money:=50;  nm:=LoadPicture('Изображения\фишки\50.jpg'); n:=LoadPicture('Изображения\фишки\50с.jpg'); DrawPicture(n,551,227); if money2<money then begin n:=LoadPicture('Изображения\фишки\0с.jpg'); DrawPicture(n,548,225); money:=0;end; end;
    2: begin money:=100; nm:=LoadPicture('Изображения\фишки\100.jpg'); n:=LoadPicture('Изображения\фишки\100с.jpg'); DrawPicture(n,550,230); if money2<money then begin n:=LoadPicture('Изображения\фишки\0с.jpg');DrawPicture(n,548,225); money:=0;end; end;
    3: begin money:=500; nm:=LoadPicture('Изображения\фишки\500.jpg'); n:=LoadPicture('Изображения\фишки\500с.jpg'); DrawPicture(n,549,227); if money2<money then begin n:=LoadPicture('Изображения\фишки\0с.jpg'); DrawPicture(n,548,225); money:=0;end; end;
    4: begin money:=1000; nm:=LoadPicture('Изображения\фишки\1000.jpg'); n:=LoadPicture('Изображения\фишки\1000с.jpg'); DrawPicture(n,549,226); if money2<money then begin n:=LoadPicture('Изображения\фишки\0с.jpg'); DrawPicture(n,548,225); money:=0;end; end;

    end;

   end;
  end;
  x1:=x1+55;
  x2:=x2+55;
 end;
// дюжины
 x1:=120;
 x2:=295;
 y1:=480;
 y2:=508;
 for i1:=1 to 3 do
 begin
  for i:=x1 to x2 do
  begin
   if x=i then
   for j:=y1 to y2 do
   if y=j then
   if (money2>=money) and (money<>0) then
   begin

    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    case i1 of
    1:for I2:=1 to 36 do
      if i2<=12 then stavka[3,i2]:=stavka[3,i2]+money;
    2:for I2:=1 to 36 do
      if (i2>12) and (i2<25) then stavka[3,i2-1]:=stavka[2,i2-1]+money;
    3:for I2:=1 to 36 do
      if i2>24 then stavka[3,i2-2]:=stavka[3,i2-2]+money;
    end;
    money2:=money2-money;
    write_m(money2,money3,login);
   end;
  end;
  x1:=x1+195;
  x2:=x2+190;
 end;
 // нижний ряд
 x1:=120;
 x2:=200;
 y1:=515;
 y2:=545;
 for i1:=1 to 6 do
 begin
  for i:=x1 to x2 do
   begin
    if x=i then
    for j:=y1 to y2 do
    if y=j then
    if (money2>=money) and (money<>0) then
    begin


     DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
     case i1 of
     1:for I2:=1 to 36 do
      if i2<19 then stavka[4,i2]:=stavka[4,i2]+money;
     6:for I2:=1 to 36 do
      if i2>18 then stavka[4,i2]:=stavka[4,i2]+money;
     2:for I2:=1 to 36 do
      if i2 mod 2=0 then stavka[5,i2]:=stavka[5,i2]+money;
     5:for I2:=1 to 36 do
      if i2 mod 2<>0 then stavka[5,i2]:=stavka[5,i2]+money;
     3:begin
      stavka[6,1]:=stavka[6,1]+money;
      stavka[6,3]:=stavka[6,3]+money;
      stavka[6,5]:=stavka[6,5]+money;
      stavka[6,7]:=stavka[6,7]+money;
      stavka[6,9]:=stavka[6,9]+money;
      stavka[6,12]:=stavka[6,12]+money;
      stavka[6,14]:=stavka[6,14]+money;
      stavka[6,16]:=stavka[6,16]+money;
      stavka[6,18]:=stavka[6,18]+money;
      stavka[6,19]:=stavka[6,19]+money;
      stavka[6,21]:=stavka[6,21]+money;
      stavka[6,23]:=stavka[6,23]+money;
      stavka[6,25]:=stavka[6,25]+money;
      stavka[6,27]:=stavka[6,27]+money;
      stavka[6,30]:=stavka[6,30]+money;
      stavka[6,32]:=stavka[6,32]+money;
      stavka[6,35]:=stavka[6,35]+money;
      end;
    4:begin
      stavka[6,2]:=stavka[6,2]+money;
      stavka[6,4]:=stavka[6,4]+money;
      stavka[6,6]:=stavka[6,6]+money;
      stavka[6,8]:=stavka[6,8]+money;
      stavka[6,10]:=stavka[6,10]+money;
      stavka[6,11]:=stavka[6,11]+money;
      stavka[6,13]:=stavka[6,13]+money;
      stavka[6,15]:=stavka[6,15]+money;
      stavka[6,17]:=stavka[6,17]+money;
      stavka[6,20]:=stavka[6,20]+money;
      stavka[6,22]:=stavka[6,22]+money;
      stavka[6,24]:=stavka[6,24]+money;
      stavka[6,26]:=stavka[6,26]+money;
      stavka[6,28]:=stavka[6,28]+money;
      stavka[6,29]:=stavka[6,36]+money;
      stavka[6,31]:=stavka[6,24]+money;
      stavka[6,33]:=stavka[6,26]+money;
      stavka[6,34]:=stavka[6,28]+money;
      stavka[6,36]:=stavka[6,36]+money;
      end;
      end;
      money2:=money2-money;
     write_m(money2,money3,login);
   end;
  end;
  x1:=x1+96;
  x2:=x2+96;
 end;
// колона
 x1:=690;
 x2:=730;
 y1:=330;
 y2:=370;
for i1:=1 to 3 do
 begin
for i:=x1 to x2 do
   begin
    if x=i then
    for j:=y1 to y2 do
    if y=j then
    if (money2>=money) and (money<>0) then
   begin


    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    case i1 of
    1:for I2:=1 to 36 do
      if i2 mod 3=0 then stavka[2,i2]:=stavka[2,i2]+money;
    2:for I2:=1 to 36 do
      if i2 mod 3=0 then stavka[2,i2-1]:=stavka[2,i2-1]+money;
    3:for I2:=1 to 36 do
      if i2 mod 3=0 then stavka[2,i2-2]:=stavka[2,i2-2]+money;
      end;
      money2:=money2-money;
     write_m(money2,money3,login);
   end;
   end;
   y1:=y1+50;
   y2:=y2+50;
   end;
// цирфы
 x1:=120;
 x2:=152;
 y1:=435;
 y2:=465;
 for i1:=1 to 36 do
 begin
  for i:=y1 to y2 do
  begin
   if y=i then
   for j:=x1 to x2 do
   if x=j then
   if (money2>=money) and (money<>0) then
   begin


    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    money2:=money2-money;
    stavka[1,i1]:=stavka[1,i1]+money;
    write_m(money2,money3,login);
   end;
  end;
   y1:=y1-50;
   y2:=y2-50;
   if i1 mod 3=0 then
   begin
    y1:=435; x1:=x1+48;
    y2:=465; x2:=x2+48;
   end;
 end;

 //на 2 вертикаль
 x1:=155;
 x2:=165;
 y1:=435;
 y2:=465;
 for i1:=1 to 33 do
 begin
  for i:=y1 to y2 do
  begin
   if y=i then
   for j:=x1 to x2 do
   if x=j then
   if (money2>=money) and (money<>0) then
   begin


    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    stavka[9,i1]:=stavka[9,i1]+money;
      stavka[9,i1+3]:=stavka[9,i1+3]+money;
    money2:=money2-money;
     write_m(money2,money3,login);

     end;
   end;
   y1:=y1-50;
  y2:=y2-50;
  if i1 mod 3=0 then
  begin
   y1:=435; x1:=x1+48;
   y2:=465; x2:=x2+48;
  end;
 end;

 //на два номера горизонт и на 3
 x1:=123;
 x2:=150;
 y1:=418;
 y2:=430;
 for i1:=1 to 36 do
 begin
  for i:=y1 to y2 do
  begin
   if y=i then
   for j:=x1 to x2 do
   if x=j then
   if (money2>=money) and (money<>0) then
   begin


    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    L:=1;
    for I2:=1 to 12 do
    begin
    p:=l+1;
    if i2=i1 then
    begin
    stavka[7,l]:=stavka[7,l]+money;
      stavka[7,p]:=stavka[7,p]+money;
     end;
     l:=l+3;
     end;

     L:=2;
    for I2:=13 to 24 do
    begin
    p:=l+1;
    if i2=i1 then
    begin
    stavka[7,l]:=stavka[7,l]+money;
      stavka[7,p]:=stavka[7,p]+money;
     end;
     l:=l+3;
     end;
     L:=1;
    for I2:=25 to 36 do
    begin
    if i2=i1 then
    begin
    stavka[8,l]:=stavka[8,l]+money;
      stavka[8,l+1]:=stavka[8,l+1]+money;
      stavka[8,l+2]:=stavka[8,l+2]+money;
     end;
     l:=l+3;
     end;
     money2:=money2-money;
     write_m(money2,money3,login);
    end;
  end;
  x1:=x1+48;
  x2:=x2+48;
   if i1 mod 12=0 then
   begin
    y1:=y1-49; x1:=123;
   y2:=y2-49; x2:=150;
   end;
 end;
 //на 4 номера и на 6
 x1:=153;
 x2:=167;
 y1:=417;
 y2:=433;
 for i1:=1 to 33 do
 begin
  for i:=y1 to y2 do
  begin
   if y=i then
   for j:=x1 to x2 do
   if x=j then
   if (money2>=money) and (money<>0) then
   begin


    DrawPicture(nm,round((x2+x1)/2-16),round((y2+y1)/2-16));
    L:=1;
    p:=2;
    for I2:=1 to 11 do
    begin
    if i2=i1 then
    begin
    stavka[10,p]:=stavka[10,l]+money;
      stavka[10,l]:=stavka[10,p]+money;
      stavka[10,p+3]:=stavka[10,l]+money;
      stavka[10,l+3]:=stavka[10,p]+money;
     end;
     l:=l+3;
     p:=p+3;
     end;
      L:=2;
      p:=3;
    for I2:=12 to 22 do

    begin
    if i2=i1 then
    begin
    stavka[10,p]:=stavka[10,l]+money;
      stavka[10,l]:=stavka[10,p]+money;
      stavka[10,p+3]:=stavka[10,l]+money;
      stavka[10,l+3]:=stavka[10,p]+money;
     end;
     l:=l+3;
     p:=p+3;
     end;
     L:=1;

    for I2:=23 to 33 do
    begin
    if i2=i1 then

    begin
    stavka[11,l]:=stavka[11,l]+money;
    stavka[11,l+1]:=stavka[11,l+1]+money;
    stavka[11,l+2]:=stavka[11,l+2]+money;
    stavka[11,l+3]:=stavka[11,l+3]+money;
    stavka[11,l+4]:=stavka[11,l+4]+money;
    stavka[11,l+5]:=stavka[11,l+5]+money;
    end;
     l:=l+3;
    end;
    money2:=money2-money;
     write_m(money2,money3,login);

    end;
  end;
  x1:=x1+48;
  x2:=x2+48;
   if i1 mod 11=0 then
   begin
    y1:=y1-50; x1:=153;
   y2:=y2-50; x2:=167;
   end;
 end;
 //00
   for i:=330 to 395 do
 begin
  if y=i then
  for j:=68 to 108 do
  if x=j then
  if (money2>=money) and (money<>0) then
  begin

    DrawPicture(nm,72,347);
    stavka[12,38]:=stavka[12,38]+money;
    money2:=money2-money;
     write_m(money2,money3,login);
  end;
  end;
  //0

   for i:=405 to 470 do
 begin
  if y=i then
  for j:=68 to 108 do
  if x=j then
  if (money2>=money) and (money<>0) then
  begin


    DrawPicture(nm,72,423);
    stavka[12,37]:=stavka[12,37]+money;
    money2:=money2-money;
     write_m(money2,money3,login);
  end;
  end;
  // меню
      for i:=10 to 40 do
 begin
  if y=i then
  for j:=560 to 670 do
  if x=j then
  begin
  fon:='Изображения\меню\меню.jpg';
 loadwindow(fon);
 CenterWindow;
 perek:=0;
  rewrite(sys);
 writeln(sys,'0');
 writeln(sys,k);
 close(sys);
 shechik:=0;
 shechik2:=0;
 shechik3:=0;
 shechik4:=0;
end; end;

//выход
for i:=10 to 40 do
 begin
  if y=i then
  for j:=680 to 790 do
  if x=j then
  begin

  DestroySound(music);
  Halt;
  CloseWindow;
end;
end;
//справка
for i:=46 to 76 do
 begin
  if y=i then
  for j:=680 to 794 do
  if x=j then
  begin
   fon:='Изображения\рулетка\Р1.jpg';
loadwindow(fon);
CenterWindow;

s:=0;
  rewrite(sys);
 writeln(sys,'3');
 writeln(sys,k);
 close(sys);
 perek:=3;
 shechik:=0;
 shechik2:=0;
 shechik3:=0;
 shechik4:=0;
end; end;
 
 
 //музыка
for i:=46 to 76 do
 begin
  if y=i then
  for j:=560 to 670 do
  if x=j then
  begin
  if SoundIsPlaying(music) then StopSound(music) else PlaySound(music);

end;
end;
 // пуск


 for i:=240 to 290 do
 begin
  if y=i then
  for j:=40 to 170 do
  if x=j then
  begin

 for I2:=1 to 5 do
begin
 n:=LoadPicture('Изображения\шарик\шарик1.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик5.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик2.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик6.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик3.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик7.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик4.jpg'); DrawPicture(n,247,0);
 delay(30);
  n:=LoadPicture('Изображения\шарик\шарик8.jpg'); DrawPicture(n,247,0);
 delay(30);

 end;
   Chislo:=random(37)+1;
   for i1:=1 to 13 do
   begin
   if stavka[i1,Chislo]<>0 then
    begin
    case i1 of
    1,12: money2:=money2+stavka[i1,Chislo]*36;
    7,9: money2:=money2+stavka[i1,Chislo]*18;
    8: money2:=money2+stavka[i1,Chislo]*12;
    2,3: money2:=money2+stavka[i1,Chislo]*3;
    10: money2:=money2+stavka[i1,Chislo]*9;
    11:money2:=money2+stavka[i1,Chislo]*6;
    4,5,6: money2:=money2+stavka[i1,Chislo]*2;
    end;
    gotoxy(1,3);
   clreol;
   write('Вы выиграли ',stavka[i1,Chislo]*36 );
   end;
   end;

   fon:='Изображения\рулетка\новаярулетка1.jpg';
   loadwindow(fon);
   CenterWindow;
     x1:=10;
   x2:=30;
   y1:=570;
   y2:=590;

   if money2=0 then money2:=finish2;
   money3:=money2;
   write_m(money2,money3,login);


   if (Chislo<37) and (Chislo<10) then
   begin
     case Chislo of
     1: begin n:=LoadPicture('Изображения\цифры\1.jpg'); DrawPicture(n,685,122) end;
     2: begin n:=LoadPicture('Изображения\цифры\2.jpg'); DrawPicture(n,685,122) end;
     3: begin n:=LoadPicture('Изображения\цифры\3.jpg'); DrawPicture(n,685,122) end;
     4: begin n:=LoadPicture('Изображения\цифры\4.jpg'); DrawPicture(n,685,122) end;
     5: begin n:=LoadPicture('Изображения\цифры\5.jpg'); DrawPicture(n,685,122) end;
     6: begin n:=LoadPicture('Изображения\цифры\6.jpg'); DrawPicture(n,685,122) end;
     7: begin n:=LoadPicture('Изображения\цифры\7.jpg'); DrawPicture(n,685,122) end;
     8: begin n:=LoadPicture('Изображения\цифры\8.jpg'); DrawPicture(n,685,122) end;
     9: begin n:=LoadPicture('Изображения\цифры\9.jpg'); DrawPicture(n,685,122) end;
     end;
     end;
       if (Chislo<37) and (Chislo>10) then
      begin
     case Chislo mod 10 of
     0: begin  n:=LoadPicture('Изображения\цифры\0.jpg'); DrawPicture(n,725,122); end;
     1: begin  n:=LoadPicture('Изображения\цифры\1.jpg'); DrawPicture(n,725,122); end;
     2: begin n:=LoadPicture('Изображения\цифры\2.jpg'); DrawPicture(n,725,122) end;
     3: begin n:=LoadPicture('Изображения\цифры\3.jpg'); DrawPicture(n,725,122) end;
     4: begin n:=LoadPicture('Изображения\цифры\4.jpg'); DrawPicture(n,725,122) end;
     5: begin n:=LoadPicture('Изображения\цифры\5.jpg'); DrawPicture(n,725,122) end;
     6: begin n:=LoadPicture('Изображения\цифры\6.jpg'); DrawPicture(n,725,122) end;
     7: begin n:=LoadPicture('Изображения\цифры\7.jpg'); DrawPicture(n,725,122) end;
     8: begin n:=LoadPicture('Изображения\цифры\8.jpg'); DrawPicture(n,725,122) end;
     9: begin n:=LoadPicture('Изображения\цифры\9.jpg'); DrawPicture(n,725,122) end;
      end;
      case Chislo div 10 of
     1: begin  n:=LoadPicture('Изображения\цифры\1.jpg'); DrawPicture(n,685,122) end;
     2: begin n:=LoadPicture('Изображения\цифры\2.jpg'); DrawPicture(n,685,122) end;
     3: begin n:=LoadPicture('Изображения\цифры\3.jpg'); DrawPicture(n,685,122) end;
     4: begin n:=LoadPicture('Изображения\цифры\4.jpg'); DrawPicture(n,685,122) end;
     5: begin n:=LoadPicture('Изображения\цифры\5.jpg'); DrawPicture(n,685,122) end;
     6: begin n:=LoadPicture('Изображения\цифры\6.jpg'); DrawPicture(n,685,122) end;
     7: begin n:=LoadPicture('Изображения\цифры\7.jpg'); DrawPicture(n,685,122) end;
     8: begin n:=LoadPicture('Изображения\цифры\8.jpg'); DrawPicture(n,685,122) end;
     9: begin n:=LoadPicture('Изображения\цифры\9.jpg'); DrawPicture(n,685,122) end;
      end;
     end;

   if Chislo=37 then begin  n:=LoadPicture('Изображения\цифры\0.jpg'); DrawPicture(n,685,122); end;
   if Chislo=38 then begin  n:=LoadPicture('Изображения\цифры\0.jpg'); DrawPicture(n,685,122); DrawPicture(n,725,122); end;
   for I1:=1 to 13 do
    for J1:=1 to 38 do
   stavka[i1,j1]:=0;
reset(prof);
   i1:=0;
   repeat
   i1:=i1+1;
   readln(prof,B[i1].login);
   readln(prof,B[i1].password);
   readln(prof,B[i1].money);
   if login=B[i1].login then B[i1].money:=money2;

   until eof(prof);
   close(prof);
   rewrite(prof);
   for i2:=1 to i1 do
   begin
    writeln(prof,B[i2].login);
   writeln(prof,B[i2].password);
   writeln(prof,B[i2].money);
   end;
   close(prof);


   
   end;
  end;
 end;
if mb=2 then                                                                                //переход
begin
money2:=money3;
money:=0;
for I1:=1 to 13 do
for J1:=1 to 38 do
stavka[i1,j1]:=0;
setwindowsize(920,620);
 fon:='Изображения\рулетка\новаярулетка1.jpg';
   loadwindow(fon);
   CenterWindow;
     x1:=10;
   x2:=30;
   y1:=570;
   y2:=590;
   rectangle(350,100,450,200);
   for I1:=1 to 5 do
   begin
    rectangle(x1,y1,x2,y2);
    x1:=x1+30;
    x2:=x2+30;
   end;
   write_m(money2,money3,login);
    end;


 end;


 end;
var a,b,i,x,y,x1,y1,x2,y2,s,k,n:integer;
    fon,fishka1000,login,password,password2,sity,login2:string;
    money:real;
    prof,sys,m:text;
    c:char;

 begin

  Assign(sys,'файлы\system.txt');
  rewrite(sys);
  writeln(sys,'0');
  close(sys);



 Assign(prof,'файлы\profile.txt');
SetFontSize(10);
setwindowsize(800,600);
fon:='Изображения\меню\Овход.jpg';
loadwindow(fon);
while (c<>'r') and (c<>'e') and (c<>'R') and (c<>'E') do
c:=readkey;
if (c='r') OR (c='R') then begin
  fon:='Изображения\меню\регистрация.jpg';
  loadwindow(fon);
  gotoxy(38,18);
  readln(login);
  gotoxy(38,22);
  readln(password);

  append(prof);
  writeln(prof,login);
  writeln(prof,password);
  writeln(prof,'5000');
  close(prof);
  while s<>1 do
  begin
  fon:='Изображения\меню\вход.jpg';
  loadwindow(fon);
  gotoxy(37,19);
  readln(login);
  gotoxy(37,24);
  readln(password);
  k:=0;
  reset(prof);
  repeat
  readln(prof,login2);
  k:=k+1;
  if login=login2 then
  begin

  readln(prof,password2);
  if password=password2 then
  begin
  fon:='Изображения\меню\меню.jpg';
  loadwindow(fon);
  OnMouseDown:=cifr;
  s:=1;

  end;
  end;
  until (Eof(prof)) or (login=login2);

close(prof);

  end;
  append(sys);
 writeln(sys,k);
 close(sys);
  end;


  if (c='e') OR (c='E') then
  begin
  while s<>1 do
  begin
  fon:='Изображения\меню\вход.jpg';
  loadwindow(fon);
  gotoxy(37,19);
  readln(login);
  gotoxy(37,24);
  readln(password);
  k:=0;
  reset(prof);
  repeat
  readln(prof,login2);
  k:=k+1;
  if login=login2 then
  begin

  readln(prof,password2);
  if password=password2 then
  begin
  fon:='Изображения\меню\меню.jpg';
  loadwindow(fon);
  OnMouseDown:=cifr;
  s:=1;
  
  end;
  end;
  until (Eof(prof)) or (login=login2);

close(prof);
end;

 append(sys);
 writeln(sys,k);
 close(sys);
end;



 end.

















